[![Shopigo](https://www.shopigo.ch/wp-content/uploads/2018/08/github-shopigo-logo.png)](https://www.shopigo.ch)

# Magento 2 Login as Customer extension by [Shopigo](https://www.shopigo.ch)

This extension allows the store owner to enter any customer account by using Magento admin panel, and in only one click!

Our Login as Customer extension makes things more efficient, faster, and more accessible for all parties involved in a transaction – you, as the store owner, and your store’s users, as your customers.

All in all, this extension is a win-win for everyone involved on all sides of the fence – your customers will be better, faster and more efficiently treated and you will save time, money and effort in doing so.

Aside from being able to login as a customer without asking for any kind of credentials, our extension will also allow you to:
- Visualize your store as a customer (which can be extremely helpful if you want to spot various issues with your site – and find solutions for them);
- See your store’s logins history (which can be very useful for employee training and clarifying security issues). 

## Requirements

Magento Open Source Edition 2.2.x.

## Installation

## Method 1 - Installing via composer

- Switch to your Magento project root
- Run `composer require shopigo/magento2-extension-login-as-customer`

## Method 2 - Installing using archive

- Download [ZIP Archive](https://github.com/shopigo/magento2-extension-login-as-customer/archive/master.zip)
- Switch to your Magento project root
- Create folder `app/code/Shopigo/LoginAsCustomer`
- Extract zip into path

### Enable extension

- Switch to your Magento project root
- Run the following commands to enable the module and clear static contents generated by Magento:
```
php bin/magento module:enable Shopigo_LoginAsCustomer
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy
```

## How to use it

- Log into your Magento back-office
- Go to the menu "Stores > Configuration > Shopigo Extensions > Login as Customer"
- Expand the section "General Settings"
- Set the parameter "Enable Login as Customer" to "Yes"
- Flush Magento caches from the menu "System > Tools > Cache Management"

## Screenshots

### Login as Customer button in the customers grid

![Login as Customer button in the customers grid](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-customers-grid.jpg)

### Login as Customer button in the customer information page

![Login as Customer button in the customer information page](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-customer-view.jpg)

### Login as Customer button in the order detail page

![Login as Customer button in the order detail page](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-order-view.jpg)

### Info bar displayed when an admin user visits your store under customer profile

![Info bar displayed when an admin user visits your store under customer profile](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-customer-dashboard.jpg)

### Message displayed when the checkout is disabled for the current admin user

![Message displayed when the checkout is disabled for the current admin user](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-cart.jpg)

### Entrance logins history

![Entrance logins history](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-login-logs.jpg)

### Extension settings

![Extension settings](https://www.shopigo.ch/wp-content/uploads/2018/10/github-extension-login-as-customer-settings.jpg)

## Support

If you have any issues, open a bug report in GitHub's [issue tracker](https://github.com/shopigo/magento2-extension-login-as-customer/issues).

## Change logs

**Version 1.0.0** (2018-10-09)
- First version

## License

The code is licensed under [Open Software License ("OSL") v. 3.0](http://opensource.org/licenses/osl-3.0.php).

<br/>Enjoy!<br/>
[Shopigo](https://www.shopigo.ch)